#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>

#include <stdio.h>
#include <stdlib.h>
#include <utime.h> 

#define checkError(expr,userMsg) \
    do {\
        if (!(expr)) {\
            perror(userMsg);\
            exit(EXIT_FAILURE);\
        }\
    }  while (0)

int main(int argc, char** argv) {

    checkError(argc == 2, "...");

    struct stat fInfo;
    checkError(stat(argv[1], &fInfo) != -1, "stat");

    FILE* f = fopen(argv[1], "w");
    checkError(f != NULL, "fopen");
    fclose(f);

    struct utimbuf ut;
    ut.actime = fInfo.st_atime;
    ut.modtime = fInfo.st_mtime;

    checkError(utime(argv[1], &ut) != -1, "utime");


    exit(EXIT_SUCCESS);
}