#include <sys/stat.h>
#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>

#include <stdio.h>
#include <stdlib.h>

#include <time.h>

#define checkError(expr,userMsg) \
    do {\
        if (!(expr)) {\
            perror(userMsg);\
            exit(EXIT_FAILURE);\
        }\
    }  while (0)

int main(int argc, char** argv) {

    checkError(argc == 1, "args");

    time_t now = time(NULL); 
    printf("Now: %d\n", (int)now);
    printf("%s", ctime(&now));

    struct tm* raspakovanoVreme = localtime(&now);
    checkError(raspakovanoVreme != NULL, "localtime");

    raspakovanoVreme->tm_year += 1;

    time_t zaGodinuDana = mktime(raspakovanoVreme);
    printf("Za godinu dana: %s", ctime(&zaGodinuDana));

    char vreme[256];
    strftime(vreme, 256-1, "%d/%m/%Y %H:%M:%S\n", raspakovanoVreme);

    printf("Formatirano vreme: %s", vreme);

    exit(EXIT_SUCCESS);
}